<div class="all-in-one-table">
    <elastic-page-header [height]="'137px'" background="url(assets/img/demo/headers/pattern-3.png)" [reverse]="true">
    </elastic-page-header>
    <div class="container">
        <elastic-breadcrumbs [currentPage]="title" [header]="'primary'"></elastic-breadcrumbs>
    </div>
</div>
<elastic-list [name]="title" (keyup)="onFilterChange($event)" [placeholder]="'Buscar estación por nombre'">
    <div class="actions" fxFlexAlign="center">
        <button mat-raised-button color="primary" (click)="showAll()" style="margin-left: 20px;">Mostrar todo</button>
        <button mat-raised-button color="primary" (click)="searchMaps()" style="margin-left: 20px;">Buscar</button>
    </div>
    <mat-card>
        <!-- this creates a google map on the page with the given lat/lng from -->
        <!-- the component as the initial center of the map: -->
        <agm-map [latitude]="latitude" [longitude]="longitude" [zoom]="10" [fitBounds]="true">
            <agm-marker [latitude]="latitude2" [longitude]="longitude2" [agmFitBounds]="true"
                [iconUrl]="'assets/img/icon/iconHouseMapInactive.svg'">
                <agm-info-window [disableAutoPan]="false" [isOpen]="false" #infoWindow>
                    <div style="text-align: center">
                        <h3>Mariana</h3>
                        <p>Bicis disponibles: 52</p>
                        <p>Eléctricas: 12</p>
                        <p>Mecánicas: 40</p>
                        <button mat-button style="border: 1px solid rgb(112, 112, 112);">Ver detalles</button>
                    </div>
                </agm-info-window>
            </agm-marker>
            <agm-marker [latitude]="latitude" [longitude]="longitude" [agmFitBounds]="true"
                [iconUrl]="'assets/img/icon/iconHouseMap.svg'">
                <agm-info-window [disableAutoPan]="false" [isOpen]="false" #infoWindow>
                    <div style="text-align: center">
                        <h3>Udenar</h3>
                        <p>Bicis disponibles: 52</p>
                        <p>Eléctricas: 12</p>
                        <p>Mecánicas: 40</p>
                        <button mat-button style="border: 1px solid rgb(112, 112, 112);">Ver detalles</button>
                    </div>
                </agm-info-window>
            </agm-marker>
        </agm-map>
    </mat-card>
</elastic-list>